#include <Wire.h>

#define MENU_BTN_PIN 26
#define BACK_BTN_PIN 25
#define DOWN_BTN_PIN 4
#define UP_BTN_PIN 35
#define BATT_ADC_PIN 34
#define DISPLAY_CS 5
#define DISPLAY_RES 9
#define DISPLAY_DC 10
#define DISPLAY_BUSY 19
#define ACC_INT_1_PIN 14
#define ACC_INT_2_PIN 12
#define VIB_MOTOR_PIN 13
#define RTC_INT_PIN 27

#define MENU_BTN_MASK GPIO_SEL_26
#define BACK_BTN_MASK GPIO_SEL_25
#define DOWN_BTN_MASK GPIO_SEL_4
#define UP_BTN_MASK  GPIO_SEL_35
#define ACC_INT_MASK  GPIO_SEL_14
#define BTN_PIN_MASK  MENU_BTN_MASK|BACK_BTN_MASK|UP_BTN_MASK|DOWN_BTN_MASK

#define DISPLAY_WIDTH 200
#define DISPLAY_HEIGHT 200

#define WIFI_SSID "<ssid>"
#define WIFI_PASS "<pass>"
#define TZ_OFFSET 3600 * 3

#define NTP_SERVER "pool.ntp.org"

#define UPDATE_INTERVAL 1
#define WAKE_ON_ACCEL_EVENTS false